//*****************************************************************************
//                               AppGspiceUI.cpp                              *
//                              -----------------                             *
//  Started     : 15/08/2003                                                  *
//  Last Update : 07/07/2005                                                  *
//  Copyright   : (C) 2003 by M.S.Waters                                      *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#include "AppGSpiceUI.hpp"

//*****************************************************************************
// All programs must have a "main" function. Under wxWidgets main( ) is
// implemented using the following macro which creates an application instance
// and starts program execution.

IMPLEMENT_APP( AppGSpiceUI )

//*****************************************************************************
// Implement an event table in which the events are routed to their respective
// handler functions in the class. If -1 is given as the ID, the given handler
// will be invoked for any event of the specified type.

BEGIN_EVENT_TABLE( AppGSpiceUI, wxApp )

// EVT_SIZE( AppGSpiceUI::OnSize )

END_EVENT_TABLE( )

//*****************************************************************************
// Constructor.

AppGSpiceUI::AppGSpiceUI( void )
{
  m_poFrmMain = NULL;

  // The following line magically makes locale stuff work, don't touch!
  setlocale( LC_NUMERIC, "C" );
}

//*****************************************************************************
// Destructor.

AppGSpiceUI::~AppGSpiceUI( )
{
}

//*****************************************************************************
// wxWindows calls wxApp::OnInit( ) at startup, the method is used to 
// initialize the application.
//
// Return Values:
//   TRUE  - Success (continue  application execution)
//   FALSE - Failure (terminate application execution)

bool  AppGSpiceUI::OnInit( void )
{
  // Create the GUI
  m_poFrmMain = new FrmMain( this );
  m_poFrmMain->bSetTitle( );
  m_poFrmMain->Initialize( );
  m_poFrmMain->SetClientSize( -1, 285+TXTCTL_NBKTABHT+TextCtrl::iGetPixelHt() );

  // Create a command line processor object
  CmdLinePcr  oCmdPcr( this );
  oCmdPcr.bSetCmdLine( argc, argv );

  // Process the command line
  if( oCmdPcr.bProcArgs( ) )
  {
    // Display the GUI
    m_poFrmMain->Center( );
    m_poFrmMain->Show( TRUE );
    SetTopWindow( m_poFrmMain );
  }
  else return( FALSE );

  // If the simulator engine hasn't been specified use the default ie. GNU-Cap
  if( m_poFrmMain->m_poNbkSimr==NULL || m_poFrmMain->m_poPrcSimr==NULL )
    m_poFrmMain->InitSimrEng( Simulation::eSIMR_GNUCAP );

  // Set the default Guile procedure name if it hasn't been set
  if( m_poFrmMain->m_oFileTsks.rosGetGuileProc( ).IsEmpty( ) )
    m_poFrmMain->m_oFileTsks.bSetGuileProc( wxT("spice-sdb") );

  return( TRUE );
}

//*****************************************************************************
// wxWindows calls wxApp::Mainloop( ) on creation of the application.
//
// Return Values:
//   0 - Not used

//int  AppGSpiceUI::MainLoop( void )
//{
//wxLogDebug( "AppGSpiceUI::MainLoop( ): Entry\n" );

//  while( ! bQuit( ) )
//  {
//     m_poFrmMain->Update( );
//     Yield( TRUE );
//    wxUsleep( 100 ); // Sleep for 100msec
//cerr << '.';
//  }

//  return( 0 );
//}

//*****************************************************************************
// wxWindows calls wxApp::OnExit( ) on application termination.
//
// Return Values:
//   0 - Not used

int  AppGSpiceUI::OnExit( void )
{
//wxLogDebug( "AppGSpiceUI::OnExit( )\n" );

//  m_poFrmMain->Close( TRUE ); ??? Causes segmentation fault

  return( 0 );
}

//*****************************************************************************
// When the user resizes the frame reset it to the default size.
//
// Argument List:
//   roEvtSize - The event to be processed

void  AppGSpiceUI::OnSize( wxSizeEvent & roEvtSize )
{
//  std::cerr << "hi there groovers\n"; // ???
//  if( m_poFrmMain != NULL ) m_poFrmMain->SetClientSize( 706, 443 );
}

//*****************************************************************************
