//*****************************************************************************
//                                HelpTasks.cpp                               *
//                               ---------------                              *
//  Started     : 03/06/2005                                                  *
//  Last Update : 19/06/2005                                                  *
//  Copyright   : (C) 2005 by M.S.Waters                                      *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#include "HelpTasks.hpp"
#include "FrmMain.hpp"

//*****************************************************************************
// Constructor.

HelpTasks::HelpTasks( void )
{
  m_poFrmMain = NULL;
}

//*****************************************************************************
// Destructor.

HelpTasks::~HelpTasks( )
{
}

//*****************************************************************************
// Display the GSpiceUI help contents.

void  HelpTasks::Content( void )
{
  wxMessageBox( wxT("\n     Not Yet Implemented.     \n "),
                wxT("Help Contents"), wxOK | wxCENTRE, m_poFrmMain );
}

//*****************************************************************************
// Display the GNU-Cap manual.

void  HelpTasks::GnuCap( void )
{
  wxMessageBox( wxT("\n     Not Yet Implemented.     \n "),
                wxT("GNU-Cap Manual"), wxOK | wxCENTRE, m_poFrmMain );
}

//*****************************************************************************
// Display the NG-Spice manual.

void  HelpTasks::NgSpice( void )
{
  wxMessageBox( wxT("\n     Not Yet Implemented.     \n "),
                wxT("NG-Spice Manual"), wxOK | wxCENTRE, m_poFrmMain );
}

//*****************************************************************************
// Display about message dialog.

void  HelpTasks::About( void )
{
  wxString  os1;
  long      lStyle;

  os1 << wxT("\n   " ) << APP_NAME << wxT("  -  ") << APP_VERSION << wxT("       \n")
      << wxT("                 Copyright (c) Mike Waters 2003\n\n")
      << wxT("This application is intended to provide a GUI for various\n")
      << wxT("freely available Spice circuit analysis packages:\n\n")
      << wxT("               Gnu-CAP\n")
      << wxT("               NG-Spice\n\n")
      << wxT("GNU Spice GUI is base on the ") << wxVERSION_STRING << wxT(" library.\n")
      << wxT("It uses GNetList to import schematic files and GWave to\n")
      << wxT("plot waveform data.\n\n")
      << wxT("GSpiceUI comes with ABSOLUTELY NO WARRANTY.\n")
      << wxT("This is Free Software, and you are welcome to distribute\n")
      << wxT("it under the terms of the GNU General Public License.\n");

  lStyle = wxOK | wxICON_INFORMATION;

  wxMessageBox( os1, wxT("About ") APP_NAME, lStyle, m_poFrmMain );
}

//*****************************************************************************
