//*****************************************************************************
//                                HelpTasks.hpp                               *
//                               ---------------                              *
//  Description : This is a helper class for FrmMain, it handles most of the  *
//                required help operations.                                   *
//  Started     : 03/06/2005                                                  *
//  Last Update : 08/06/2005                                                  *
//  Copyright   : (C) 2005 by M.S.Waters                                      *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#ifndef HELPTASKS_HPP
#define HELPTASKS_HPP

// System includes

#include <iostream>

// wxWindows includes

#include <wx/wx.h>
#include <wx/help.h>

// Application includes

class FrmMain;

//*****************************************************************************

class HelpTasks : public wxHelpController
{
  private:

    FrmMain * m_poFrmMain; // Pointer to application main frame

  public:

    HelpTasks( void );
    ~HelpTasks( );

    void  SetAppFrm( FrmMain * poFrmMain ) { m_poFrmMain = poFrmMain; }

    void  Content( void );
    void  GnuCap ( void );
    void  NgSpice( void );
    void  About  ( void );
};

//*****************************************************************************

#endif // HELPTASKS_HPP
