//*****************************************************************************
//                                 NbkGnuCap.hpp                              *
//                                ---------------                             *
//  Description : Provides a container class for the analysis configuration   *
//                panels for the different analyses provided by GNU-Cap       *
//                electronic circuit simulator.                               *
//  Started     : 05/09/2003                                                  *
//  Last Update : 07/06/2005                                                  *
//  Copyright   : (C) 2003 by MSWaters                                        *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#ifndef NBKGNUCAP_HPP
#define NBKGNUCAP_HPP

// System Includes

// wxWindows Includes

// Application Includes

#include "NbkSimrBase.hpp"
#include "PnlGnuCapOP.hpp"
#include "PnlGnuCapDC.hpp"
#include "PnlGnuCapAC.hpp"
#include "PnlGnuCapTR.hpp"
#include "PnlGnuCapFO.hpp"

// Local Constant Declarations


//*****************************************************************************

class NbkGnuCap : public NbkSimrBase
{
  private:

    PnlGnuCapOP * m_poPnlGnuCapOP;
    PnlGnuCapDC * m_poPnlGnuCapDC;
    PnlGnuCapAC * m_poPnlGnuCapAC;
    PnlGnuCapTR * m_poPnlGnuCapTR;
    PnlGnuCapFO * m_poPnlGnuCapFO;

  public:

    NbkGnuCap( wxWindow * poParent, wxWindowID oWinID,
               const wxPoint & roPosn, const wxSize & roSize );
    NbkGnuCap( void );
    ~NbkGnuCap( );

    virtual  bool  bClear( void );

    virtual  bool  bLoad( Simulation & roSim );
    virtual  bool  bSave( Simulation & roSim );

    virtual  bool  bSetPage( Simulation::eAnaType eType );
    virtual  bool  bSetPage( const wxChar * psType );
};

//*****************************************************************************

#endif // NBKGNUCAP_HPP
