//*****************************************************************************
//                                NbkNgSpice.hpp                              *
//                               ---------------                              *
//  Description : Provides a container class for the analysis configuration   *
//                panels for the different analyses provided by NG-Spice      *
//                electronic circuit simulator.                               *
//  Started     : 08/05/2004                                                  *
//  Last Update : 07/06/2005                                                  *
//  Copyright   : (C) 2004 by MSWaters                                        *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#ifndef NBKNGSPICE_HPP
#define NBKNGSPICE_HPP

// System Includes

// wxWindows Includes


// Application Includes

#include "NbkSimrBase.hpp"
#include "PnlNgSpiceDC.hpp"
#include "PnlNgSpiceAC.hpp"
#include "PnlNgSpiceTR.hpp"

// Local Constant Declarations


//*****************************************************************************

class NbkNgSpice : public NbkSimrBase
{
  private:

    PnlNgSpiceDC * m_poPnlNgSpiceDC;
    PnlNgSpiceAC * m_poPnlNgSpiceAC;
    PnlNgSpiceTR * m_poPnlNgSpiceTR;

  public:

    NbkNgSpice( wxWindow * poParent, wxWindowID oWinID,
               const wxPoint & roPosn, const wxSize & roSize );
    NbkNgSpice( void );
    ~NbkNgSpice( );

    virtual  bool  bClear( void );

    virtual  bool  bLoad( Simulation & roSim );
    virtual  bool  bSave( Simulation & roSim );

    virtual  bool  bSetPage( Simulation::eAnaType eType );
    virtual  bool  bSetPage( const wxChar * psType );
};

//*****************************************************************************

#endif // NBKNGSPICE_HPP
